0

Which openSUSE rpm contains dmalloc? No repository have it. Tried to build it from src.rpm found for SLE 12. However it does not contain libdmalloc* libraries. How to do LD_PRELOAD="libdmalloc.so" ./my_program? Or it is not necessary?

0

Works without LD_PRELOAD, seems not necessary any more, just simple:

  1. eval `dmalloc -d 0 -l leak.log -p log-non-free`
  2. ./my_program

However program should be built and linked with dmalloc:

#include <dmalloc.h>

Link:

$ g++ -L/usr/lib64 -ldmalloc ...

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.